com.intellectualcrafters.plot.listeners

## Class PlotListener

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.PlotListener

- Direct Known Subclasses:
    PlayerEvents, PlotPlusListener

      public class PlotListener
      extends java.lang.Object

  Created by Citymonstret on 2014-10-21.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `blockChange(org.bukkit.block.Block block, org.bukkit.event.Cancellable event)`
    `static boolean` | `booleanFlag(Plot plot, java.lang.String flag)`
    `static boolean` | `enteredPlot(org.bukkit.Location l1, org.bukkit.Location l2)`
    `static Plot` | `getCurrentPlot(org.bukkit.Location loc)`
    `static boolean` | `getFlagValue(java.lang.String value)`
    `static java.lang.String` | `getName(java.util.UUID uuid)`
    `static Plot` | `getPlot(org.bukkit.entity.Player player)`
    `static PlotWorld` | `getPlotWorld(org.bukkit.World world)`
    `static java.util.UUID` | `getUUID(java.lang.String name)`
    `static boolean` | `isInPlot(org.bukkit.Location loc)`
    `static boolean` | `isInPlot(org.bukkit.entity.Player player)`
    `static boolean` | `isPlotWorld(org.bukkit.Location l)`
    `static boolean` | `isPlotWorld(org.bukkit.World world)`
    `static boolean` | `leftPlot(org.bukkit.Location l1, org.bukkit.Location l2)`
    `static void` | `plotEntry(org.bukkit.entity.Player player, Plot plot)`
    `static void` | `plotExit(org.bukkit.entity.Player player, Plot plot)`
    `static void` | `textures(org.bukkit.entity.Player p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotListener

          public PlotListener()

  - ### Method Detail

    - #### textures

          public static void textures(org.bukkit.entity.Player p)

    - #### isInPlot

          public static boolean isInPlot(org.bukkit.entity.Player player)

    - #### getPlot

          public static Plot getPlot(org.bukkit.entity.Player player)

    - #### isPlotWorld

          public static boolean isPlotWorld(org.bukkit.World world)

    - #### getPlotWorld

          public static PlotWorld getPlotWorld(org.bukkit.World world)

    - #### getName

          public static java.lang.String getName(java.util.UUID uuid)

    - #### getUUID

          public static java.util.UUID getUUID(java.lang.String name)

    - #### blockChange

          public static void blockChange(org.bukkit.block.Block block,
                         org.bukkit.event.Cancellable event)

    - #### enteredPlot

          public static boolean enteredPlot(org.bukkit.Location l1,
                            org.bukkit.Location l2)

    - #### leftPlot

          public static boolean leftPlot(org.bukkit.Location l1,
                         org.bukkit.Location l2)

    - #### isPlotWorld

          public static boolean isPlotWorld(org.bukkit.Location l)

    - #### isInPlot

          public static boolean isInPlot(org.bukkit.Location loc)

    - #### getCurrentPlot

          public static Plot getCurrentPlot(org.bukkit.Location loc)

    - #### booleanFlag

          public static boolean booleanFlag(Plot plot,
                            java.lang.String flag)

    - #### plotEntry

          public static void plotEntry(org.bukkit.entity.Player player,
                       Plot plot)

    - #### plotExit

          public static void plotExit(org.bukkit.entity.Player player,
                      Plot plot)

    - #### getFlagValue

          public static boolean getFlagValue(java.lang.String value)